.clearfix:after {
    content: "."; 
    display: block; 
    height: 0; 
    clear: both; 
    visibility: hidden;
}

.clearfix {display: inline-block;}

/* Hides from IE-mac \*/
* html .clearfix {height: 1%;}
.clearfix {display: block;}
/* End hide from IE-mac */
/*http://www.positioniseverything.net/easyclearing.html*/


br.both { clear: both; height: 0; }
div.clearer {clear: left; line-height: 0; height: 0;}